
/**
Definition of the HtmlPngGenerator class.
@license MIT. See LICENSE.MD for details.
@module html-png-generator.js
 */

(function() {
  var FS, HTML, HtmlPngGenerator, TemplateGenerator, png;

  TemplateGenerator = require('./template-generator');

  FS = require('fs-extra');

  HTML = require('html');


  /**
  An HTML-based PNG resume generator for HackMyResume.
   */

  HtmlPngGenerator = module.exports = TemplateGenerator.extend({
    init: function() {
      return this._super('png', 'html');
    },
    invoke: function(rez, themeMarkup, cssInfo, opts) {},
    generate: function(rez, f, opts) {
      var htmlFile, htmlResults;
      htmlResults = opts.targets.filter(function(t) {
        return t.fmt.outFormat === 'html';
      });
      htmlFile = htmlResults[0].final.files.filter(function(fl) {
        return fl.info.ext === 'html';
      });
      return png(htmlFile[0].data, f);
    }
  });


  /** Generate a PNG from HTML. */

  png = function(markup, fOut) {
    return require('webshot')(markup, fOut, {
      siteType: 'html'
    }, function(err) {});
  };

}).call(this);
